Bug 984121 - xorg doesn't start after upgrade
xorg doesn't start after upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 17:35 EDT by Mauro Carvalho Chehab
Modified: 2013-07-22 22:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 22:23:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log file (10.41 KB, text/plain)
2013-07-12 17:56 EDT, Mauro Carvalho Chehab
no flags Details

  None (edit)
Description Mauro Carvalho Chehab 2013-07-12 17:35:27 EDT
Description of problem:

After those upgrades:
Jul 12 12:24:11 Updated: xorg-x11-server-common-1.14.2-3.fc19.x86_64
Jul 12 12:24:13 Updated: xorg-x11-server-Xorg-1.14.2-3.fc19.x86_64
Jul 12 12:24:13 Updated: xorg-x11-drv-qxl-0.1.1-0.11.20130514git77a1594.fc19.x86_64

xorg fails to start. Relevant bits at xorg log:

[   754.868] (++) using VT number 0

[   754.868] 
Fatal server error:
[   754.868] xf86OpenConsole: VT_ACTIVATE failed: No such device or address
[   754.868] 
[   754.868] (EE) 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[   754.868] (EE) Please also check the log file at "/var/log/Xorg.0.log" for ad
ditional information.
[   754.868] (EE) 

Downgrading to the previous version solved the issue.
Comment 1 Mauro Carvalho Chehab 2013-07-12 17:56:31 EDT
Created attachment 772890 [details]
Xorg.0.log file
Comment 2 Sergio Monteiro Basto 2013-07-13 06:25:47 EDT
Hi, could you please test : 

Package xorg-x11-server-1.14.2-4.fc19:
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-server-1.14.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12886/xorg-x11-server-1.14.2-4.fc19
then log in and leave karma (feedback).
Comment 3 Mauro Carvalho Chehab 2013-07-14 12:24:03 EDT
(In reply to Sergio Monteiro Basto from comment #2)
> Hi, could you please test : 
> 
> Package xorg-x11-server-1.14.2-4.fc19:
> * was pushed to the Fedora 19 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing
> xorg-x11-server-1.14.2-4.fc19'
> as soon as you are able to.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2013-12886/xorg-x11-server-1.
> 14.2-4.fc19
> then log in and leave karma (feedback).

Worked. Thanks!
Comment 4 romainguinot 2013-07-14 13:30:24 EDT
Also had a black screen when updating to F19 with fedup, from F18. 

Although i did not have the same error message, updating xorg-x11-server from updates-testing as described fixed it too. Thanks !
Comment 5 Abdel Gadiel Martínez Lassonde 2013-07-14 14:21:15 EDT
I got this problem a week ago. The workaround I applied was to downgrade xorg-x11-server-Xorg from 1.14.2-3 to 1.14.1-4.

Do this is considered as a solution?

Best regards!
Comment 6 Sergio Monteiro Basto 2013-07-14 14:40:22 EDT
(In reply to Abdel Gadiel Martínez Lassonde from comment #5)
> I got this problem a week ago. The workaround I applied was to downgrade
> xorg-x11-server-Xorg from 1.14.2-3 to 1.14.1-4.
> 
> Do this is considered as a solution?

no
and with xorg-x11-server-Xorg 1.14.2-4  from updates-testing ?
Comment 7 Abdel Gadiel Martínez Lassonde 2013-07-14 14:46:13 EDT
It worked.
Comment 8 Peque 2013-07-16 22:40:53 EDT
Had the same problem. Last update (xorg-x11-server-Xorg-1.14.2-4.fc19.x86_64) fixes the problem.

Thank you. :-)
Comment 9 Sergio Monteiro Basto 2013-07-22 20:48:51 EDT
this bug seems fixed with current release , can I close it ?
Comment 10 Mauro Carvalho Chehab 2013-07-22 22:23:10 EDT
(In reply to Sergio Monteiro Basto from comment #9)
> this bug seems fixed with current release , can I close it ?

Sure, it got fixed. I'll close it.

Note You need to log in before you can comment on or make changes to this bug.